Skip to main content
`Ctrl`+`K`

# KSPGuessFischerSetModel

Set the Paul Fischer algorithm or its variants to compute the initial guess for a `KSPSolve()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessFischerSetModel(KSPGuess guess, PetscInt model, PetscInt size)

Logically Collective

## Input Parameters

- guess - the initial guess context

- model - use model 1, model 2, model 3, or any other number to turn it off

- size - size of subspace used to generate initial guess

## Options Database Key

- -ksp_guess_fischer_model <model,size> - uses the Fischer initial guess generator for repeated linear solves

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSPGuessCreate()`, `KSPSetUseFischerGuess()`, `KSPSetGuess()`, `KSPGetGuess()`, `KSP`

## Level

advanced

## Location

src/ksp/ksp/guess/impls/fischer/fischer.c

## Implementations

KSPGuessFischerSetModel_Fischer() in src/ksp/ksp/guess/impls/fischer/fischer.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages